Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### screenZ()

Examples

    Coming soon...

Description | Takes a three-dimensional X, Y, Z position and returns the Z value for where it will appear on a (two-dimensional) screen.

Syntax

    screenZ(x, y, z)

Parameters

x | int or float: 3D x coordinate to be mapped
y | int or float: 3D y coordinate to be mapped
z | int or float: 3D z coordinate to be mapped

Returns | float
Usage | Web & Application
Related | screenX() screenY()

Updated on August 30, 2010 04:29:39pm EDT